URL structure
{orgId} is the ID of an organization and {labelId} is the ID of one of this organization’s classifications.
Supported methods and overview
PUT- used to shift the priority of an organization’s classification either up or down, based on that classification’s ID.
Detailed description
This API endpoint shifts the priority of an organization’s classification either up or down, using that classification’s ID. The classification’s ID can be obtained by calling theGET method of the <access-service>/api/v1/organisations/{orgId}/labels API endpoint, which retrieves a list of information for all classifications in an organization.
A priority is defined by a series of consecutive positive integer numbers called priority integer values. These values are used for sorting classifications from the highest priority (i.e. a priority integer value of 1) through to the lowest priority (i.e. the highest priority integer value, which equals the total number of all classifications defined in an organization).
When a new classification is added to an organization, it is automatically given the lowest priority (i.e. the highest priority integer number). When any classification (except for the classification with the lowest priority) is deleted, then the priority integer numbers of all other classifications with a lower priority are automatically decreased by a value of 1.
When a classification’s priority is shifted:
up- then the priority integer values of this classification and its neighboring classification (i.e. with the next lowest priority integer value) switch their priority values.down- then the priority integer values of this classification and its neighboring classification (i.e. with the next highest priority integer value) switch their priority values.
Supported roles
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide) and conditions:- Organization administrator - if this user is a member of the organization specified by the
{orgId}of the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Required parameters
The following required parameters must be sent in the URL of the PUT request:- direction - up or down Example ():
Returns
A JSON-formatted response containing the following members:- id - .
- name - .
- description - .
- priority - . Example (response from …):

